/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/tasks/AcquireLock.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow.tasks;

import java.util.Set;

import com.netapp.common.flow.Task;
import com.netapp.common.flow.TaskInput;
import com.netapp.common.flow.TaskUtils;

/**
 * Acquire a lock on an object. See {@link TaskUtils#acquireLock(Object)} for exact semantics
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class AcquireLock implements Task {
    private Set<Object> key;

    /**
     * @see com.netapp.common.flow.Task#execute()
     */
    public void execute() throws Exception {
        TaskUtils.acquireLocks(this.key);
    }
    
    @TaskInput
    public void setKey(Set<Object> keys) {
        this.key = keys;
    }

}
