/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/Partition.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

import java.io.File;

public class Partition {

    private File path;
    private long start;
    private long size;
    
    public Partition(File path, long start, long size) {
        this.path = path;
        this.start = start;
        this.size = size;
    }
    
    public long getStart() {
        return this.start;
    }
    
    public long getSize() {
        return this.size;
    }
    
    public File getPath() {
        return this.path;
    }
    
    public long getEnd() {
        return this.start + this.size;
    }
    
}
