/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/input/PasswordInputPrompt.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.cli.input;

import java.io.InputStream;
import java.io.PrintStream;

/**
 * Prompt the user for a password. The replacement character is set to erase 
 * the last typed character.
 * 
 * @author joshb
 */
public class PasswordInputPrompt extends InputPrompt {

    public PasswordInputPrompt(InputStream input, PrintStream output) {
        super(input, output);
    }

    @Override
    protected Character getReplacementCharacter() {
        return '*';
    }
}
