/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/logging/JdkLoggerAdapterFactory.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

import java.util.logging.Logger;

/**
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class JdkLoggerAdapterFactory implements LogAdapterFactory {
    /**
     * @see com.netapp.common.logging.LogAdapterFactory#createLogAdapter(java.lang.String)
     */
    public LogAdapter createLogAdapter(String clazz) {
        return new JdkLoggerAdapter(Logger.getLogger(clazz));
    }
}
